Package org.eclipse.emf.cdo.explorer

# Interface CDOExplorerElement.StateChangedEvent

All Superinterfaces:
  `org.eclipse.net4j.util.event.IEvent`

Enclosing interface:
  `CDOExplorerElement`

public static interface CDOExplorerElement.StateChangedEvent extends org.eclipse.net4j.util.event.IEvent
An `event` fired from `explorer elements` when their state has changed.

For `repositories` this relates to the `connected` state. For `checkouts` this relates to the `open` state.

Since:
  4.12
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`CDOExplorerElement`
`getSource()`

## Method Details

### getSource

CDOExplorerElement getSource()

Specified by:
  `getSource` in interface `org.eclipse.net4j.util.event.IEvent`